com.thinkaurelius.titan.tinkerpop.gremlin

## Class TitanConsolePlugin

- java.lang.Object
- - com.thinkaurelius.titan.tinkerpop.gremlin.TitanConsolePlugin

- All Implemented Interfaces:
    com.tinkerpop.gremlin.groovy.console.ConsolePlugin, groovy.lang.GroovyObject

      public class TitanConsolePlugin
      extends Object
      implements com.tinkerpop.gremlin.groovy.console.ConsolePlugin, groovy.lang.GroovyObject

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TitanConsolePlugin()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `groovy.lang.MetaClass` | `getMetaClass()`
    `String` | `getName()`
    `Object` | `getProperty(String property)`
    `Object` | `invokeMethod(String method, Object arguments)`
    `void` | `pluginTo(com.tinkerpop.gremlin.groovy.console.ConsoleGroovy consoleGroovy, com.tinkerpop.gremlin.groovy.console.ConsoleIO consoleIO, Map map)`
    `void` | `setMetaClass(groovy.lang.MetaClass mc)`
    `void` | `setProperty(String property, Object value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TitanConsolePlugin

          public TitanConsolePlugin()

  - ### Method Detail

    - #### getMetaClass

          public groovy.lang.MetaClass getMetaClass()

      Specified by:
        `getMetaClass` in interface `groovy.lang.GroovyObject`

    - #### setMetaClass

          public void setMetaClass(groovy.lang.MetaClass mc)

      Specified by:
        `setMetaClass` in interface `groovy.lang.GroovyObject`

    - #### invokeMethod

          public Object invokeMethod(String method,
                            Object arguments)

      Specified by:
        `invokeMethod` in interface `groovy.lang.GroovyObject`

    - #### getProperty

          public Object getProperty(String property)

      Specified by:
        `getProperty` in interface `groovy.lang.GroovyObject`

    - #### setProperty

          public void setProperty(String property,
                         Object value)

      Specified by:
        `setProperty` in interface `groovy.lang.GroovyObject`

    - #### getName

          public String getName()

      Specified by:
        `getName` in interface `com.tinkerpop.gremlin.groovy.console.ConsolePlugin`

    - #### pluginTo

          public void pluginTo(com.tinkerpop.gremlin.groovy.console.ConsoleGroovy consoleGroovy,
                      com.tinkerpop.gremlin.groovy.console.ConsoleIO consoleIO,
                      Map map)

      Specified by:
        `pluginTo` in interface `com.tinkerpop.gremlin.groovy.console.ConsolePlugin`

Copyright © 2012–2014. All rights reserved.